Campaigns
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
campaignIdstringObrigatório
ID da campanha
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
imagestringOpcional
short_descriptionstringOpcional
typestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
orderinteger · int32Opcional
activebooleanOpcional
descriptionstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
linkstringOpcional
categorystringOpcional
user_groupsstring[]Opcional
404
Campaign was not found
application/json
500
An internal server error was thrown
application/json
get/campaigns/{campaignId}
GET /api/b2b/campaigns/{campaignId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"title": "text",
"image": "text",
"short_description": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"order": 1,
"active": true,
"description": "text",
"profile_partner": true,
"profile_seller": true,
"link": "text",
"category": "text",
"user_groups": [
"text"
]
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
campaignIdstringObrigatório
ID da campanha
Corpo
titlestringOpcional
imagestringOpcional
short_descriptionstringOpcional
typestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
orderinteger · int32Opcional
activebooleanOpcional
descriptionstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
linkstringOpcional
categorystringOpcional
user_groupsstring[]Opcional
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
imagestringOpcional
short_descriptionstringOpcional
typestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
orderinteger · int32Opcional
activebooleanOpcional
descriptionstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
linkstringOpcional
categorystringOpcional
user_groupsstring[]Opcional
404
Campaign was not found
application/json
500
An internal server error was thrown
application/json
put/campaigns/{campaignId}
PUT /api/b2b/campaigns/{campaignId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 299
{
"title": "text",
"image": "text",
"short_description": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"order": 1,
"active": true,
"description": "text",
"profile_partner": true,
"profile_seller": true,
"link": "text",
"category": "text",
"user_groups": [
"text"
]
}{
"id": "text",
"title": "text",
"image": "text",
"short_description": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"order": 1,
"active": true,
"description": "text",
"profile_partner": true,
"profile_seller": true,
"link": "text",
"category": "text",
"user_groups": [
"text"
]
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
campaignIdstringObrigatório
ID da campanha
Respostas
204
Campaign deleted successfully
Sem conteúdo
404
Campaign was not found
500
An internal server error was thrown
delete/campaigns/{campaignId}
DELETE /api/b2b/campaigns/{campaignId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Sem conteúdo
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
campaignIdstringObrigatório
ID da campanha
Corpo
activebooleanOpcional
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
imagestringOpcional
short_descriptionstringOpcional
typestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
orderinteger · int32Opcional
activebooleanOpcional
descriptionstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
linkstringOpcional
categorystringOpcional
user_groupsstring[]Opcional
404
Campaign was not found
application/json
500
An internal server error was thrown
application/json
patch/campaigns/{campaignId}
PATCH /api/b2b/campaigns/{campaignId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"active": true
}{
"id": "text",
"title": "text",
"image": "text",
"short_description": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"order": 1,
"active": true,
"description": "text",
"profile_partner": true,
"profile_seller": true,
"link": "text",
"category": "text",
"user_groups": [
"text"
]
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault:
""pageinteger · int32OpcionalDefault:
0perPageinteger · int32OpcionalDefault:
25sortstringOpcionalDefault:
orderdirstringOpcionalDefault:
ascRespostas
200
Campaigns listed
application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
404
Campaigns was not found
application/json
422
A query param was invalid
application/json
500
An internal server error was thrown
application/json
get/campaigns
GET /api/b2b/campaigns HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"currentPage": 1,
"perPage": 1,
"total": 1,
"items": [
{
"id": "text",
"title": "text",
"image": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"short_description": "text",
"category": "text",
"order": 1,
"active": true
}
]
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
titlestringOpcional
imagestringOpcional
short_descriptionstringOpcional
typestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
orderinteger · int32Opcional
activebooleanOpcional
descriptionstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
linkstringOpcional
categorystringOpcional
user_groupsstring[]Opcional
Respostas
201
Criado
application/json
idstringOpcional
titlestringOpcional
imagestringOpcional
short_descriptionstringOpcional
typestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
orderinteger · int32Opcional
activebooleanOpcional
descriptionstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
linkstringOpcional
categorystringOpcional
user_groupsstring[]Opcional
404
Campaigns was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
post/campaigns
POST /api/b2b/campaigns HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 299
{
"title": "text",
"image": "text",
"short_description": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"order": 1,
"active": true,
"description": "text",
"profile_partner": true,
"profile_seller": true,
"link": "text",
"category": "text",
"user_groups": [
"text"
]
}{
"id": "text",
"title": "text",
"image": "text",
"short_description": "text",
"type": "LIFETIME",
"start_date": "2026-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"order": 1,
"active": true,
"description": "text",
"profile_partner": true,
"profile_seller": true,
"link": "text",
"category": "text",
"user_groups": [
"text"
]
}